import React from 'react';
import {graphql, createFragmentContainer} from 'react-relay';

const Ingredient = ({item}) =>
  <li>
    <span className="amount">{item.amount}</span>&nbsp;
    <span className="measurement">{item.measurement}</span>&nbsp;
    <span className="name">{item.name}</span>
  </li>

export default createFragmentContainer(
  Ingredient,
  graphql`
    fragment ingredient_item on Ingredient {
      name
      amount
      measurement
    }
  `
);
